%define rname beryl
%define name %{rname}-settings-bindings
%define version 0.2.0
%define release %mkrel 1

%define lib_name %mklibname %{name}
%define lib_name_devel %mklibname -d %{name}

Name: %name
Version: %version
Release: %release
Summary: Python Bindings for Beryl Settings
Group: System/X11
URL: http://www.beryl-project.org/
Source: http://releases.beryl-project.org/%{version}/%{name}-%{version}.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: beryl-core-devel = %{version}
BuildRequires: pygtk2.0-devel
%if %mdkversion >= 200710
BuildRequires: python-pyrex
%else
BuildRequires: pyrex
%endif

# Not strictly required but just keeps things simple for other packages
Requires: %lib_name = %{version}-%{release}

%description
Documentation files for the Python Bindings of Beryl Settings


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README COPYING 

#----------------------------------------------------------------------------

%package -n %lib_name
Summary: Library files for %{name}
Group: System/X11

%description -n %lib_name
Python Bindings for Beryl Settings

%files -n %lib_name
%{py_platsitedir}/berylsettings.so

#----------------------------------------------------------------------------

%package -n %lib_name_devel
Summary: Development files from %{name}
Group: Development/Other
Requires: %lib_name = %{version}-%{release}
Provides: %{name}-devel = %{version}

%description -n %lib_name_devel
Development files relating to the Python Bindings for Beryl Settings

%files -n %lib_name_devel
%{py_platsitedir}/berylsettings.a
%{py_platsitedir}/berylsettings.la
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
# Prevent libtoolize running which messes things up.
rm -f configure.in configure.ac

%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %buildroot



%changelog
* Fri Mar 16 2007 Colin Guthrie <cguthrie@mandriva.org> 0.2.0-1mdv2007.1
+ Revision: 144904
- Split into lib and devel packages.
- New Version: 0.2.0

  + Anssi Hannula <anssi@mandriva.org>
    - fix buildrequires for backporting

* Wed Feb 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.2-1mdv2007.1
+ Revision: 120678
- New Release Candidate 0.1.9999.2 (RC2)
- Tidy up BuildRequires due to beryl-core-devel changes

* Mon Feb 05 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.1-2mdv2007.1
+ Revision: 116454
- Remove explicit dependancy on beryl-core

* Sat Feb 03 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.1-1mdv2007.1
+ Revision: 116005
- New Release Candidate: RC1

* Sun Jan 21 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.99.2-1mdv2007.1
+ Revision: 111366
- Import beryl-settings-bindings

